Bug 73602 - ps2pdf fails on files with shfill operator
ps2pdf fails on files with shfill operator
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: ghostscript (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-06 12:19 EDT by diego.santacruz
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:52:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example PS file from Adobe that shows problem. From http://partners.adobe.com/asn/developer/technotes/samples/SMOOTHSH.ZIP (2.32 KB, application/postscript)
2002-09-06 12:23 EDT, diego.santacruz
no flags Details

  None (edit)
Description diego.santacruz 2002-09-06 12:19:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020606

Description of problem:
If a PS file makes use of a shfill operator with shadingtype 3 (Gourad shaded
triangles) ps2pdf generates an incomplete (and probably buggy) PDF file.

Version-Release number of selected component (if applicable): 6.51-16.2

How reproducible:
Always

Steps to Reproduce:
1. Take a PS file that uses the shfill operator with shadingtype 3 (Gourad
shaded triangles)
2. Convert to PDF using ps2pdf or ps2pdf13 (results are equal)
3. Open the resulting PDF file in acrobat reader, or ggv (uses ghostscript).
	

Actual Results:  The PDF contains just a few of the triangles in the original PS
file.

Expected Results:  All of the triangles in the original file are present in the
PDF file.

Additional info:

I will attach a PS file where this happens next.
Comment 1 diego.santacruz 2002-09-06 12:23:06 EDT
Created attachment 75265 [details]
Example PS file from Adobe that shows problem. From http://partners.adobe.com/asn/developer/technotes/samples/SMOOTHSH.ZIP
Comment 2 Tim Waugh 2002-09-30 07:23:57 EDT
Also fails with ghostscript-7.05-20.  Thanks for the report.
Comment 3 Tim Waugh 2002-09-30 07:26:52 EDT
Reported upstream.
Comment 4 Alex Cherepanov 2002-09-30 14:02:24 EDT
I confirm that there is a problem in GS 7.05 but it
appears to be fixed in the current development version.
AFPL GS 7.31
Comment 5 Need Real Name 2002-10-01 12:56:30 EDT
Shading type 3 are radial, not Gouraud triangle meshes which
are ShadingType 4. The file DECAHED.PS does in fact use ShadingType 4.

I was able to reproduce the problem with DECAHED.PS using gs7.05
(as was Alex Cherepanov -- thanks Alex).

This is fixed in the 7.22 AFPL release, which was our last stable
release prior to the massive updates for DeviceN support beginning
in 7.30 (toward our upcoming 8.0 release).

I recommend that this user install the 7.22 AFPL release which
is available from SourceForge via the projects page:

https://sourceforge.net/projects/ghostscript/

or directly from:

https://sourceforge.net/project/showfiles.php?group_id=1897&release_id=72993

If the user (or anyone else) wants to track down the specific patch,
I suggest that they refer to History7.htm that is in the 7.22 release.
Comment 6 Bill Nottingham 2006-08-07 13:49:39 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 7 Bill Nottingham 2006-10-18 10:52:19 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.